View Issue Details

IDProjectCategoryView StatusLast Update
0017174LazarusLCLpublic2011-12-01 11:26
ReporterMartin FriebeAssigned ToVincent Snijders 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version1.0.0Fixed in Version0.9.29 (SVN) 
Summary0017174: Horizontal scrollbar limited to 32768, while vertical scrollbar supports bigger values
DescriptionSee issue 0017166

It appears that horizontal scrollbars are limited to a 32 bit range, while vertical scrollbars are given a bigger limit.

Experienced on Windows.
TagsNo tags attached.
Fixed in Revision28830
LazTarget1.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0017166 closedMartin Friebe Packages SynEdit - Unable to Select ALL on LONG lines. Same issue with mouse Select.. seems to max out. 

Activities

Vincent Snijders

2010-10-29 12:52

manager   ~0042314

32768 is more 16 bits than 32 bits range.

Vincent Snijders

2010-12-28 16:23

manager   ~0044654

Last edited: 2010-12-28 16:31

TSynEditStringTabExpander.GetLengthOfLongestLine does not work correctly for long lines.

It goes wrong if FTabData[fIndexOfLongestLine] contains LINE_LEN_UNKNOWN.

I think it would be better to spend 2 bytes per lines extra on it and make TLineLen 4 bytes.

Issue History

Date Modified Username Field Change
2010-08-14 23:58 Martin Friebe New Issue
2010-08-14 23:58 Martin Friebe LazTarget => -
2010-08-14 23:58 Martin Friebe Widgetset => Win32/Win64
2010-08-14 23:58 Martin Friebe Relationship added related to 0017166
2010-10-29 12:52 Vincent Snijders Note Added: 0042314
2010-10-29 12:53 Vincent Snijders LazTarget - => 1.0
2010-10-29 12:53 Vincent Snijders Status new => acknowledged
2010-10-29 12:53 Vincent Snijders Target Version => 1.0.0
2010-12-28 16:23 Vincent Snijders Note Added: 0044654
2010-12-28 16:31 Vincent Snijders Note Edited: 0044654
2010-12-28 16:54 Vincent Snijders Fixed in Revision => 28830
2010-12-28 16:54 Vincent Snijders Status acknowledged => resolved
2010-12-28 16:54 Vincent Snijders Fixed in Version => 0.9.31 (SVN)
2010-12-28 16:54 Vincent Snijders Resolution open => fixed
2010-12-28 16:54 Vincent Snijders Assigned To => Vincent Snijders
2011-01-24 10:22 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)
2011-12-01 11:26 Marc Weustink Status resolved => closed